Categories:
  - Money
License: Apache-2.0
AuthorName: Ngewi Fet
AuthorEmail: ngewif@codinguser.com
AuthorWebSite: https://www.codinguser.com/
SourceCode: https://github.com/codinguser/gnucash-android
IssueTracker: https://github.com/codinguser/gnucash-android/issues
Translation: https://crowdin.com/project/gnucash-android
Changelog: https://github.com/codinguser/gnucash-android/blob/HEAD/CHANGELOG.md

AutoName: GnuCash
Summary: Money management
Description: |-
    A companion application for the desktop app GnuCash. It allows you to record
    transactions on-the-go and export them in the OFX format and later import the
    data into GnuCash for the desktop. You can create multiple accounts for
    transactions in GnuCash. You can't open your GnuCash (for desktop) XML files,
    however.

    Upstream is now using a bunch of non-free libraries, and intends to use more in
    the future. Chances are this app will not be updated any more.

RepoType: git
Repo: https://github.com/codinguser/gnucash-android.git

Builds:
  - versionName: '1.0'
    versionCode: 1
    commit: v1.0.beta1
    subdir: GnucashMobile
    androidupdate:
      - .
      - ../com_actionbarsherlock

  - versionName: 1.0.1
    versionCode: 2
    commit: v1.0.1
    subdir: GnucashMobile
    androidupdate:
      - .
      - ../com_actionbarsherlock

  - versionName: 1.0.2
    versionCode: 3
    commit: v1.0.2
    subdir: GnucashMobile
    androidupdate:
      - .
      - ../com_actionbarsherlock

  - versionName: 1.1.1
    versionCode: 6
    commit: v1.1.1
    subdir: GnucashMobile
    androidupdate:
      - .
      - ../com_actionbarsherlock

  - versionName: 1.1.2
    versionCode: 7
    commit: v1.1.2
    subdir: app
    srclibs:
      - ActionBarSherlock@4.2.0
    prebuild: sed -i 's@\(android.library.reference.1=\).*@\1$$ActionBarSherlock$$@'
        project.properties

  - versionName: 1.2.0
    versionCode: 8
    commit: v1.2.0
    subdir: app
    srclibs:
      - ActionBarSherlock@4.2.0
    prebuild: sed -i 's@\(android.library.reference.1=\).*@\1$$ActionBarSherlock$$@'
        project.properties

  - versionName: 1.2.2
    versionCode: 10
    commit: v1.2.2
    subdir: app
    srclibs:
      - ActionBarSherlock@4.2.0
    prebuild: sed -i 's@\(android.library.reference.1=\).*@\1$$ActionBarSherlock$$@'
        project.properties

  - versionName: 1.2.3
    versionCode: 13
    commit: v1.2.3
    subdir: app
    srclibs:
      - ActionBarSherlock@4.2.0
    prebuild: sed -i 's@\(android.library.reference.1=\).*@\1$$ActionBarSherlock$$@'
        project.properties

  - versionName: 1.2.4
    versionCode: 14
    commit: v1.2.4
    subdir: app
    srclibs:
      - ActionBarSherlock@4.2.0
    prebuild: sed -i 's@\(android.library.reference.1=\).*@\1$$ActionBarSherlock$$@'
        project.properties

  - versionName: 1.2.7
    versionCode: 22
    commit: v1.2.7
    subdir: app
    srclibs:
      - ActionBarSherlock@4.4.0

  - versionName: 1.3.1
    versionCode: 26
    commit: v1.3.1
    subdir: app
    srclibs:
      - ActionBarSherlock@4.4.0
      - ViewPagerIndicator@2.4.1

  - versionName: 1.3.2
    versionCode: 28
    commit: v1.3.2
    subdir: app
    srclibs:
      - ActionBarSherlock@4.4.0
      - ViewPagerIndicator@2.4.1

  - versionName: 1.3.3
    versionCode: 29
    commit: v1.3.3
    subdir: app
    srclibs:
      - ActionBarSherlock@4.4.0
      - ViewPagerIndicator@2.4.1

  - versionName: 1.4.0
    versionCode: 36
    commit: v1.4.0
    subdir: app
    srclibs:
      - ActionBarSherlock@4.4.0
      - ViewPagerIndicator@2.4.1

  - versionName: 1.4.1
    versionCode: 37
    commit: v1.4.1
    subdir: app
    srclibs:
      - ActionBarSherlock@4.4.0
      - ViewPagerIndicator@2.4.1

  - versionName: 1.4.2
    versionCode: 39
    commit: v1.4.2
    subdir: app
    srclibs:
      - ActionBarSherlock@4.4.0
      - ViewPagerIndicator@2.4.1

  - versionName: 1.4.3
    versionCode: 40
    commit: v1.4.3
    subdir: app
    srclibs:
      - ActionBarSherlock@4.4.0
      - ViewPagerIndicator@2.4.1

  - versionName: 1.5.0
    versionCode: 42
    commit: v1.5.0
    subdir: app
    srclibs:
      - ActionBarSherlock@4.4.0
      - ViewPagerIndicator@2.4.1

  - versionName: 1.5.1
    versionCode: 43
    commit: v1.5.1
    subdir: app
    srclibs:
      - ActionBarSherlock@4.4.0
      - ViewPagerIndicator@2.4.1

  - versionName: 1.5.2
    versionCode: 45
    commit: v1.5.2
    subdir: app
    srclibs:
      - ActionBarSherlock@4.4.0
      - ViewPagerIndicator@2.4.1

  - versionName: 1.5.3
    versionCode: 46
    commit: v1.5.3
    subdir: app
    srclibs:
      - ActionBarSherlock@4.4.0
      - ViewPagerIndicator@2.4.1

  - versionName: 1.5.4
    versionCode: 47
    commit: v1.5.4
    subdir: app/src/main
    srclibs:
      - ActionBarSherlock@4.4.0
      - ViewPagerIndicator@2.4.1
    prebuild: mv java src
    target: android-21

  - versionName: 1.5.5
    versionCode: 48
    commit: v1.5.5
    subdir: app/src/main
    srclibs:
      - ActionBarSherlock@4.4.0
      - ViewPagerIndicator@2.4.1
    prebuild: mv java src
    target: android-21

  - versionName: 1.6.0
    versionCode: 16006
    commit: v1.6.0
    subdir: app
    patch:
      - disable_gms_dropbox.diff
    gradle:
      - production
    srclibs:
      - CWACMerge@v1.1.1
      - CWACSacklist@v1.0.2
      - MPAndroidChart@v2.1.0
      - ViewPagerIndicator@2.4.1
    rm:
      - app/libs/*.jar
      - app/src/main/jniLibs/*/*
    prebuild:
      - sed -e "/\<Crashlytics\>/ d" -i `grep -lr "\<Crashlytics\>" src/main/java/`
      - sed -e "/crashlytics/ d" -i build.gradle ../build.gradle
      - sed -e "/USE_CRASHLYTICS/ d" -i src/main/java/org/gnucash/android/app/GnuCashApplication.java
      - sed -e "/gms/ d" -i build.gradle
      - sed -e "/cwac/ d" -i build.gradle
      - sed -e "/maven\s*{\s*url.*}/ d" -i ../build.gradle
      - sed -e "/<item>\(Drop\|Google\)/ d" -i src/main/res/values*/strings.xml
      - cp -fR $$CWACMerge$$/merge/src/com src/main/java/
      - cp -fR $$CWACSacklist$$/sacklist/src/com src/main/java/
      - cp -fR $$MPAndroidChart$$/src/com/ src/main/java/
      - cp -fR $$ViewPagerIndicator$$ ../ViewPagerIndicator
      - rm -f ../ViewPagerIndicator/libs/*.jar
      - echo "include ':ViewPagerIndicator'" >> ../settings.gradle
      - "echo -e \"apply plugin: 'com.android.library' \\nandroid { compileSdkVersion\
        \ 21 \\n buildToolsVersion \\\"22.0.1\\\"\" >  ../ViewPagerIndicator/build.gradle"
      - echo -e "lintOptions.abortOnError = false \n sourceSets{main{ \n manifest.srcFile
        'AndroidManifest.xml' \n java.srcDirs = ['src'] \n res.srcDirs = ['res'] }}}
        \n dependencies {compile 'com.android.support:support-v4:22.1.1'}" >> ../ViewPagerIndicator/build.gradle
      - sed -i -e "s/.*viewpagerindicator.*/project(':ViewPagerIndicator'),/" build.gradle
      - sed -i -e "/MPAndroidChart/d" build.gradle
      - sed -i -e '/variant.outputs.each/,/ }/ d' build.gradle

  - versionName: 1.6.1
    versionCode: 16100
    commit: v1.6.1
    subdir: app
    patch:
      - disable_gms_dropbox.diff
    gradle:
      - production
    srclibs:
      - CWACMerge@v1.1.1
      - CWACSacklist@v1.0.2
      - MPAndroidChart@v2.1.0
      - ViewPagerIndicator@2.4.1
    rm:
      - app/libs/*.jar
      - app/src/main/jniLibs/*/*
    prebuild:
      - sed -e "/\<Crashlytics\>/ d" -i `grep -lr "\<Crashlytics\>" src/main/java/`
      - sed -e "/crashlytics/ d" -i build.gradle ../build.gradle
      - sed -e "/USE_CRASHLYTICS/ d" -i src/main/java/org/gnucash/android/app/GnuCashApplication.java
        build.gradle
      - sed -e "/gms/ d" -i build.gradle
      - sed -e "/cwac/ d" -i build.gradle
      - sed -e "/maven\s*{\s*url.*}/ d" -i ../build.gradle
      - sed -e "/<item>\(Drop\|Google\)/ d" -i src/main/res/values*/strings.xml
      - cp -fR $$CWACMerge$$/merge/src/com src/main/java/
      - cp -fR $$CWACSacklist$$/sacklist/src/com src/main/java/
      - cp -fR $$MPAndroidChart$$/src/com/ src/main/java/
      - cp -fR $$ViewPagerIndicator$$ ../ViewPagerIndicator
      - rm -f ../ViewPagerIndicator/libs/*.jar
      - echo "include ':ViewPagerIndicator'" >> ../settings.gradle
      - "echo -e \"apply plugin: 'com.android.library' \\nandroid { compileSdkVersion\
        \ 21 \\n buildToolsVersion \\\"22.0.1\\\"\" >  ../ViewPagerIndicator/build.gradle"
      - echo -e "lintOptions.abortOnError = false \n sourceSets{main{ \n manifest.srcFile
        'AndroidManifest.xml' \n java.srcDirs = ['src'] \n res.srcDirs = ['res'] }}}
        \n dependencies {compile 'com.android.support:support-v4:22.1.1'}" >> ../ViewPagerIndicator/build.gradle
      - sed -i -e "s/.*viewpagerindicator.*/project(':ViewPagerIndicator'),/" build.gradle
      - sed -i -e "/MPAndroidChart/d" build.gradle
      - sed -i -e '/variant.outputs.each/,/ }/ d' build.gradle

  - versionName: 1.6.2
    versionCode: 16200
    commit: v1.6.2
    subdir: app
    patch:
      - disable_gms_dropbox.diff
    gradle:
      - production
    srclibs:
      - CWACMerge@v1.1.1
      - CWACSacklist@v1.0.2
      - MPAndroidChart@v2.1.0
      - ViewPagerIndicator@2.4.1
    rm:
      - app/libs/*.jar
      - app/src/main/jniLibs/*/*
    prebuild:
      - sed -e "/\<Crashlytics\>/ d" -i `grep -lr "\<Crashlytics\>" src/main/java/`
      - sed -e "/crashlytics/ d" -i build.gradle ../build.gradle
      - sed -e "/USE_CRASHLYTICS/ d" -i src/main/java/org/gnucash/android/app/GnuCashApplication.java
        build.gradle
      - sed -e "/gms/ d" -i build.gradle
      - sed -e "/cwac/ d" -i build.gradle
      - sed -e "/maven\s*{\s*url.*}/ d" -i ../build.gradle
      - sed -e "/<item>\(Drop\|Google\)/ d" -i src/main/res/values*/strings.xml
      - cp -fR $$CWACMerge$$/merge/src/com src/main/java/
      - cp -fR $$CWACSacklist$$/sacklist/src/com src/main/java/
      - cp -fR $$MPAndroidChart$$/src/com/ src/main/java/
      - cp -fR $$ViewPagerIndicator$$ ../ViewPagerIndicator
      - rm -f ../ViewPagerIndicator/libs/*.jar
      - echo "include ':ViewPagerIndicator'" >> ../settings.gradle
      - "echo -e \"apply plugin: 'com.android.library' \\nandroid { compileSdkVersion\
        \ 21 \\n buildToolsVersion \\\"22.0.1\\\"\" >  ../ViewPagerIndicator/build.gradle"
      - echo -e "lintOptions.abortOnError = false \n sourceSets{main{ \n manifest.srcFile
        'AndroidManifest.xml' \n java.srcDirs = ['src'] \n res.srcDirs = ['res'] }}}
        \n dependencies {compile 'com.android.support:support-v4:22.1.1'}" >> ../ViewPagerIndicator/build.gradle
      - sed -i -e "s/.*viewpagerindicator.*/project(':ViewPagerIndicator'),/" build.gradle
      - sed -i -e "/MPAndroidChart/d" build.gradle
      - sed -i -e '/variant.outputs.each/,/ }/ d' build.gradle

  - versionName: 1.6.3
    versionCode: 16300
    commit: v1.6.3
    subdir: app
    patch:
      - disable_gms_dropbox.diff
    gradle:
      - production
    srclibs:
      - CWACMerge@v1.1.1
      - CWACSacklist@v1.0.2
      - MPAndroidChart@v2.1.0
      - ViewPagerIndicator@2.4.1
    rm:
      - app/libs/*.jar
      - app/src/main/jniLibs/*/*
    prebuild:
      - sed -e "/\<Crashlytics\>/ d" -i `grep -lr "\<Crashlytics\>" src/main/java/`
      - sed -e "/crashlytics/ d" -i build.gradle ../build.gradle
      - sed -e "/USE_CRASHLYTICS/ d" -i src/main/java/org/gnucash/android/app/GnuCashApplication.java
        build.gradle
      - sed -e "/gms/ d" -i build.gradle
      - sed -e "/cwac/ d" -i build.gradle
      - sed -e "/maven\s*{\s*url.*}/ d" -i ../build.gradle
      - sed -e "/<item>\(Drop\|Google\)/ d" -i src/main/res/values*/strings.xml
      - cp -fR $$CWACMerge$$/merge/src/com src/main/java/
      - cp -fR $$CWACSacklist$$/sacklist/src/com src/main/java/
      - cp -fR $$MPAndroidChart$$/src/com/ src/main/java/
      - cp -fR $$ViewPagerIndicator$$ ../ViewPagerIndicator
      - rm -f ../ViewPagerIndicator/libs/*.jar
      - echo "include ':ViewPagerIndicator'" >> ../settings.gradle
      - "echo -e \"apply plugin: 'com.android.library' \\nandroid { compileSdkVersion\
        \ 21 \\n buildToolsVersion \\\"22.0.1\\\"\" >  ../ViewPagerIndicator/build.gradle"
      - echo -e "lintOptions.abortOnError = false \n sourceSets{main{ \n manifest.srcFile
        'AndroidManifest.xml' \n java.srcDirs = ['src'] \n res.srcDirs = ['res'] }}}
        \n dependencies {compile 'com.android.support:support-v4:22.1.1'}" >> ../ViewPagerIndicator/build.gradle
      - sed -i -e "s/.*viewpagerindicator.*/project(':ViewPagerIndicator'),/" build.gradle
      - sed -i -e "/MPAndroidChart/d" build.gradle
      - sed -i -e '/variant.outputs.each/,/ }/ d' build.gradle

  - versionName: 2.0.5
    versionCode: 20500
    disable: https://github.com/codinguser/gnucash-android/issues/435
    commit: v2.0.5

MaintainerNotes: Dynamic version code, so no UCM can be used.

ArchivePolicy: 0 versions
AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 2.0.5
CurrentVersionCode: 20500
